Wednesday, June 12, 2013

MySQL < 5.5 replication to MySQL 5.6

Original post: http://anothermysqldba.blogspot.com/2013/06/mysql-55-replication-to-mysql-56.html

Después de horas de frustración ..... Voy a decirlo de manera simple como no actualizar a MySQL 5.6 si está ejecutando cualquier versión inferior a MySQL 5.5. 

Usted tiene que actualizar a MySQL 5.5 primero para mantener su cordura y datos de contacto. 

Un montón de blogs y la información disponibles sobre los cambios de contraseñas en MySQL 5.6 y los apoyan. Incluso he actualizado las contraseñas de MySQL 5.6 y la caja estaba en marcha y funcionando muy bien. El problema era la replicación. Tuve que repetir desde una versión MySQL menos de MySQL 5.5 y simplemente no corría. He desactivado secure_auth y podía conectar, pero aún no ha habido suerte con la replicación. 

Aunque apoyo la replicación como una ruta de actualización, se toman el tiempo y seguir con MySQL 5.5 por primera vez. 

Terminé degradar a MySQL 5.5 y todo funciona muy bien ahora. Si usted tiene que rebajar su versión de MySQL que tenía que seguir muchos de los mismos pasos que hice en mi mensaje Maria diaster para obtener la caja de nuevo.